--[[--
@title jogdial.Lua
@chdk_version 1.4
@param J Use Jogdial
@default J 1
@range J 0 1
--]]--

repeat
print(-is_wheel_left(),is_wheel_right())
sleep( 111)
print("", is_wheel_right(),-is_wheel_left())
sleep( 222)
until is_key "set"

c=0; j=0
repeat
if J==1 then
   j=get_wheel(); c=c+j;
   if j==-1 then print( j, "wheel_left",c) end
   if j==1  then print( j, "wheel_right",c) end
   sleep(111) end
until 1>2


--[[--
    FUNC(get_wheel)
    FUNC(is_wheel_left)
    FUNC(is_wheel_right)
    FUNC(get_metering_mode)
    FUNC(set_metering_mode)

static int luaCB_get_wheel( lua_State * L )
{
  short r=get_jogdial_direction();
  jogdial=0;
  if (r==0) {
     lua_pushnumber( L, 0 );
     return 1;
  }
  r=r==JOGDIAL_LEFT ? -1:1; // left=-1 | right=1
  lua_pushnumber( L, r );
    return 1;
}
static int luaCB_is_wheel_right( lua_State* L )
{
	  if (jogdial==1) {jogdial=0;
         lua_pushnumber( L, 1 );
		 return 1;} 
	  if (jogdial==-1) {
         lua_pushnumber( L, 0 );
		 return 1;} 
      short r=get_jogdial_direction();
	  jogdial=r==JOGDIAL_LEFT ? -1:0; // 
	  if (r==0) {
         lua_pushnumber( L, 0 );
		 return 1;} 
	  r=r==JOGDIAL_RIGHT ? 1:0;
      lua_pushnumber( L, r );
  return 1;
}

static int luaCB_is_wheel_left( lua_State* L )
{
	  if (jogdial==-1) {jogdial=0;
         lua_pushnumber( L, 1 );
		 return 1;} 
	  if (jogdial== 1) {
         lua_pushnumber( L, 0 );
		 return 1;} 
      short r=get_jogdial_direction();
	  jogdial=r==JOGDIAL_RIGHT ? 1:0; // 
	  if (r==0) {
         lua_pushnumber( L, 0 );
		 return 1;} 
	  r=r==JOGDIAL_LEFT ? 1:0;
      lua_pushnumber( L, r );
  return 1;
}


static int luaCB_get_metering_mode( lua_State* L )
{
  lua_pushnumber( L, camera_info.props.metering_mode );
  return 1;
}

static int luaCB_set_metering_mode( lua_State* L )
{
  shooting_set_prop(camera_info.props.metering_mode, luaL_checknumber( L, 1 ));
  return 0;
}

--]]--